apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  labels:
    io.kompose.service: nextcloud-aio-nextcloud
  name: nextcloud-aio-nextcloud
  namespace: "{{ .Values.NAMESPACE }}"
spec:
  {{- if .Values.STORAGE_CLASS }}
  storageClassName: {{ .Values.STORAGE_CLASS }}
  {{- end }}
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: {{ .Values.NEXTCLOUD_STORAGE_SIZE }}
